%define name		umbrello
%define Name		Umbrello UML Modeller
%define summary		Unified Modelling Language (UML) diagram editor
%define version		1.1.1
%define release		2mdk
%define major		0
%define libname		%mklibname %{name} %{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License:	GPL
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png.bz2
Source2:	%{name}-32.png.bz2
Source3:	%{name}-48.png.bz2
Url:		http://uml.sourceforge.net
Group:		Development/Other
Requires:	%{libname}
BuildRequires:	kdebase-devel
BuildRequires:	libfam-devel
BuildRequires:	libart_lgpl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Umbrello UML Modeller is a Unified Modelling Language diagram programme
for KDE. UML allows you to create diagrams of software and other systems
in a standard format.
Umbrello UML Modeller can create the following diagram types:
- Use Case 
- Sequence
- Collaboration
- State
- Activity 
- and soon more :-)

It also has the preliminary code generation capability (C++, Java, PHP).

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run %{name}.

%package -n %{libname}-devel
Summary:	Development header files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
Libraries, include files and other resources you can use to develop
%{name} applications.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}-%{version}
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png

%build
export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS=$RPM_OPT_FLAGS
export LDFLAGS=$RPM_OPT_FLAGS
./configure --prefix=%{_prefix} --libdir=%{_libdir} --disable-rpath --enable-static
%make

%install
%makeinstall_std
%{find_lang} %{name}
# icons
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png 
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
# menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}

cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%{name}"\\
	needs="X11"\\
	section="Applications/Development/Development environments"\\
	icon="%{name}.png"\\
	title="%{Name}"\\
	longtitle="%{summary}"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
 
%postun
%clean_menus

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applnk/Development/umbrello.desktop
%{_datadir}/apps/umbrello
%{_datadir}/doc/HTML/*/umbrello
%{_datadir}/icons/*/*/*
%{_datadir}/mimelnk/application/x-uml.desktop
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.la
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.so

%changelog
* Tue Feb 18 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.1.1-2mdk
- fix from Mathias Meyer <pom@beatsteaks.de>:
 - fixed spec to make libcodegenerator.la appear both in /usr/lib and
   in /usr/share/apps/umbrello/codegenerators

* Fri Jan 24 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.1.1-1mdk
- 1.1.1
- used %%mklibname to please rpmlint

* Tue Jan 21 2003 Erwan Velu <erwan@mandrakesoft.com> 1.1-2mdk
- Moving libcodegenerator for enabling codewriter plugins

* Tue Jan 21 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.1-1mdk
- 1.1 final

* Sun Jan 05 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.1-0.rc1.3mdk
- rebuild

* Thu Dec 12 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.1-0.rc1.2mdk
- fixed provides (i sux)

* Wed Dec 11 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.1-0.rc1.1mdk
- first mdk release
